package com.clx.performance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


@Getter
@AllArgsConstructor
@SuppressWarnings("all")
public enum RunningWaterTypeEnum {
    ;

    @Getter
    @AllArgsConstructor
    public enum Status {
        TOP_UP(10, "充值"),
        FROZEN(20, "冻结"),
        THAW(30, "解冻"),
        TAKE_OUT(40, "扣除"),
        CASE_OUT_FROZEN(50, "提现冻结"),
        CASE_OUT_SUCCESS(60, "提现成功"),
        CASE_OUT_FAIL(70, "提现失败"),
        ORDER_CHILD_WRITE_OFF(80, "运单核销"),
        LOAN(90, "借款"),
        ;
        private final Integer code;
        private final String msg;

    }

}
